ROUNDUP-DEMO(1)

NAME
roundup-demo - create a roundup "demo" tracker and launch its web interface

SYNOPSIS
roundup_demo [-h] [-b BIND_ADDRESS] [-b {anydbm,mysql,sqlite,postgresql}] [-t {minimal,jinja2,classic,responsive,devel}] [-p PORT] [-P URLPORT] [-V] [directory] [backend] [nuke]

OPTIONS

directory
    The home directory for the new demo tracker. (*)

backend
    Choose backend database. Depricated, use -b.

nuke
    Create a fresh demo tracker (deleting the existing one if any). E.G.
            roundup-demo -b sqlite -t classic ./mytracker nuke
    will remove an existing tracker (if present) from the directory ./mytracker. Then it will create and serve a new empty classic tracker using the sqlite backend.

-h, --help
    Show the help message and exit

-B BIND_ADDRESS, --bind_address BIND_ADDRESS
    Choose address for server to listen at. Use 0.0.0.0 to bind to all addreses. Default: 127.0.0.1.

-b {anydbm,mysql,sqlite,postgresql}, --backend_db {anydbm,mysql,sqlite,postgresql}
    Choose backend database. Default: sqlite. Available backends are subject to availability on your system.

-t {minimal,jinja2,classic,responsive,devel}, --template {minimal,jinja2,classic,responsive,devel}
    Use specified template when building tracker. (*)

-h HOSTNAME, --hostname HOSTNAME
    Set the hostname used in the URL. This does not make the server listen at the hostname. Use the hostname with -B to listen on that IP address.

-p PORT, --port PORT
    Listen at this port. Default: search for open port starting at 8917.

-P URLPORT, --urlport URLPORT
    When using docker this option passes the docker external port to the demo instance. If using docker ... -p 9090:8917 ... this should be set to -P 9090. Default: as selected by --port.

-V, --version
    Show program's version number and exit

If items marked with (*) are missing, they will be asked for interactively when setting up the tracker.

DESCRIPTION
This command creates a fresh demo tracker for you to experiment with. The email features of Roundup will be turned off (so the nosy feature won't send email). It does this by removing the nosyreaction.py module from the demo tracker's detectors directory. If you wish to send email to promote the tracker to production, you will need to copy nosyreaction.py from the default tracker templates directory. The templates command from roundup-admin(1) can help you locate a replacement. If you wish, you may modify the demo tracker by editing its configuration files and HTML templates. See the customisation manual for information about how to do that. Once you've fiddled with the demo tracker, you may use it as a template for creating your real, live tracker. Simply run the roundup-admin command to install the tracker from inside the demo tracker home directory, and it will be listed as an available template for installation. No data will be copied over.

SEE ALSO
roundup-admin(1), roundup-mailgw(1), roundup-server(1)

AUTHOR
This manpage was written by Richard Jones and extensively modified by John Rouillard <rouilj@users.sourceforge.net>.